# Uses of Class
javax.xml.crypto.KeySelector.Purpose

Packages that use KeySelector.Purpose
Package
Description
javax.xml.crypto
Common classes for XML cryptography.

## Uses of KeySelector.Purpose in javax.xml.crypto

Fields in javax.xml.crypto declared as KeySelector.Purpose
Modifier and Type
Field
Description
`static final KeySelector.Purpose`
KeySelector.Purpose.`DECRYPT`
A key for decrypting.
`static final KeySelector.Purpose`
KeySelector.Purpose.`ENCRYPT`
A key for encrypting.
`static final KeySelector.Purpose`
KeySelector.Purpose.`SIGN`
A key for signing.
`static final KeySelector.Purpose`
KeySelector.Purpose.`VERIFY`
A key for verifying.
Methods in javax.xml.crypto with parameters of type KeySelector.Purpose
Modifier and Type
Method
Description
`abstract KeySelectorResult`
KeySelector.`select(KeyInfo keyInfo, KeySelector.Purpose purpose, AlgorithmMethod method, XMLCryptoContext context)`
Attempts to find a key that satisfies the specified constraints.